> ## Documentation Index
> Fetch the complete documentation index at: https://docs.controlplane.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all images

> Response will contain all the images the caller is authorized to view



## OpenAPI

````yaml get /org/{org}/image
openapi: 3.0.3
info:
  title: Control Plane Core API
  description: Copyright © 2023 Control Plane Corporation. All rights reserved.
  version: 1.0.0
servers:
  - url: https://api.cpln.io
    description: ''
security:
  - {}
  - serviceAccountKey: []
  - jwt: []
externalDocs:
  url: https://docs.controlplane.com/
  description: End-user documentation
paths:
  /org/{org}/image:
    get:
      tags:
        - image
      summary: Get all images
      description: Response will contain all the images the caller is authorized to view
      parameters:
        - in: path
          name: org
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/list'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
        '403':
          description: Access denied
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
components:
  schemas:
    list:
      type: object
      properties:
        kind:
          type: string
        itemKind:
          type: string
          enum:
            - org
            - cloudaccount
            - policy
            - user
            - group
            - resource
            - task
            - permissions
            - serviceaccount
            - secret
            - location
            - gvc
            - workload
            - quota
            - identity
            - deployment
            - event
            - account
            - domain
            - image
            - ipset
            - resourcepolicy
            - accessreport
            - agent
            - auditctx
            - dbcluster
            - memcachecluster
            - spicedbcluster
            - tenant
            - mk8s
            - command
            - policymembership
            - primitive
            - foreign
            - link
            - imagesummary
            - volumeset
        items:
          type: array
          items:
            type: object
        links:
          type: array
          items:
            $ref: '#/components/schemas/link'
      additionalProperties: false
    error:
      type: object
      properties:
        status:
          type: integer
        message:
          type: string
        code:
          type: string
        details:
          type: object
        id:
          type: string
      additionalProperties: false
    link:
      type: object
      properties:
        rel:
          type: string
        href:
          type: string
      additionalProperties: false
  securitySchemes:
    serviceAccountKey:
      type: apiKey
      in: header
      name: Authorization
      description: Service account key can be used as API keys
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: IDP-provided token

````